Bug 1691696 - [RFE] multipath events notifications
Summary: [RFE] multipath events notifications
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.4.8
: ---
Assignee: Mark Kemel
QA Contact: Evelina Shames
URL:
Whiteboard:
Depends On:
Blocks: 1789090
TreeView+ depends on / blocked
 
Reported: 2019-03-22 09:42 UTC by Daniele
Modified: 2021-09-08 14:12 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Multipath events were introduced in Red Hat Virtualization version 4.2, but there was no way to configure email notifications for these events. The current release now allows you to configure email notifications for multipath events using either user interface or the REST API.
Clone Of:
Environment:
Last Closed: 2021-09-08 14:12:04 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:3460 0 None None None 2021-09-08 14:12:16 UTC
oVirt gerrit 115680 0 master MERGED NotifiableEvents: add multipath events 2021-07-28 13:35:48 UTC
oVirt gerrit 115681 0 master MERGED restapi: fix multipath events subscription in REST 2021-08-05 09:18:57 UTC
oVirt gerrit 115869 0 master MERGED webadmin: add multipath events to Event Notifier 2021-07-28 08:30:06 UTC

Comment 1 Dan Kenigsberg 2019-04-16 07:19:48 UTC
Multipath is owned by storage team. Moving RFE.

Comment 17 Evelina Shames 2021-08-12 11:45:19 UTC
Verified on:
vdsm-4.40.80.4-1.el8ev.x86_64
ovirt-engine-4.4.8.3-0.10.el8ev.noarch

With the following steps:
1. Configured email notifications as described in https://www.ovirt.org/documentation/administration_guide/index.html#chap-Event_Notifications
2. Subscribed to Multipath events (via UI or REST - tested both)
3. On host - Located a block device: multipath -ll
4. Set it to offline: echo offline > /sys/dev/block/8\:48/device/state
5. Got an email:
Message:Faulty multipath paths on host host_mixed_2 on devices: [3600a098038304479363f4c4870455065]
Severity:WARNING
Host Name: host_mixed_2
6. Set it back to online: echo running > /sys/dev/block/8\:48/device/state
7. Got an email:
Message:No faulty multipath paths on host host_mixed_2
Severity:NORMAL
Host Name: host_mixed_2
8. Set all block devices to offline
9. Got an email:
Message:Multipath devices without valid paths on host host_mixed_2 : [3600a098038304479363f4c4870455064, 3600a098038304479363f4c4870455063]
Severity:WARNING
Host Name: host_mixed_2

Moving to VERIFIED.

Comment 22 errata-xmlrpc 2021-09-08 14:12:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (RHV Manager (ovirt-engine) [ovirt-4.4.8]), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3460


Note You need to log in before you can comment on or make changes to this bug.